#canvas-panel {
    width: 500px;
    height: 500px;
    position: relative;
    margin: 0 auto
}

#overlay {
    background: rgba(0, 0, 0, 0);
    z-index: 2
}

#tools-panel {
    margin: 5px;
    padding: 10px;
    display: block
}

#tools-panel * {
    text-align: center;
    color: #000
}

#tools-panel ul {
    list-style-type: none
}

#tools-panel .tool-panel-button {
    float: left;
    margin: 2px
}

#tools-panel .tool-button {
    padding: 2px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    border-style: solid;
    border-width: 1px;
    border-color: transparent
}

#tools-panel .selected {
    border-color: #c29b29;
    background: #ffce71;
    background: -moz-linear-gradient(top, #ffdca0, #ffd181 40%, #ffc45d 45%, #ffd47d 100%);
    background: -webkit-gradient(linear, 0 0, 0 100%, from(#ffdca0), color-stop(40%, #ffd181), color-stop(45%, #ffc45d), color-stop(100%, #ffd47d))
}

#tools-panel .tool-button:hover {
    border-color: #ffb700;
    background: #dfe9f5;
    background: -moz-linear-gradient(top, #fdecda, #fddeb8 40%, #ffce68 45%, #ffe78d 90%, #fff7b0, 100%);
    background: -webkit-gradient(linear, 0 0, 0 100%, from(#fdecda), color-stop(40%, #fddeb8), color-stop(45%, #ffce68), color-stop(90%, #ffe78d), color-stop(100%, #fff7b0))
}

#tools-panel .tool-panel-button:first-of-type {
    margin-left: 5px
}

#tools-panel .tool-panel-button:last-of-type {
    margin-right: 5px
}

#tools-panel p {
    margin: 2px
}

#stroke-colour {
    background: #000;
    display: block;
    height: 70%;
    width: 75%;
    margin: 0 auto;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    border-radius: 2px
}

#line-width {
    background: #000;
    display: block;
    height: 1px;
    width: 70%;
    margin: 15px auto
}

#line-width-picker {
    position: absolute;
    overflow: hidden;
    top: -132px;
    z-index: 1000;
    width: 60px;
    height: 0;
    background: #dfe9f5;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px
}

#line-width-picker li {
    width: 54px;
    height: 15px;
    margin: 0 auto
}

#line-width-picker li:first-of-type {
    margin-top: 5px
}

#line-width-picker li:last-of-type {
    margin-bottom: 5px
}

#line-width-picker li * {
    width: 75%;
    margin: 5px auto;
    background: #000
}

#output-img {
    margin-top: 10px
}